| 1.0.0 API documentation

Functions
GLM_GTC_integer
Recommended extensions

Allow to perform bit operations on integer values. More...

## Functions
template<typename genIUType >
GLM_FUNC_DECL genIUType | log2 (genIUType x)
| Returns the log2 of x for integer values. More...

## Detailed Description

Allow to perform bit operations on integer values.

Include <glm/gtc/integer.hpp> to use the features of this extension.

## Function Documentation

## ◆ log2()

GLM_FUNC_DECL genIUType glm::log2 | ( | genIUType | x | ) |

Returns the log2 of x for integer values.

Useful to compute mipmap count from the texture size.

See also
  GLM_GTC_integer